'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var stimulus = require('stimulus');

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
class _class extends stimulus.Controller {
  connect() {
    this.hiddenClass = this.element.dataset.hiddenClass || 'hidden';
  }

  toggle() {
    this.itemTargets.forEach(item => {
      item.classList.toggle(this.hiddenClass);
    });
  }

  show() {
    this.itemTargets.forEach(item => {
      item.classList.remove(this.hiddenClass);
    });
  }

  hide() {
    this.itemTargets.forEach(item => {
      item.classList.add(this.hiddenClass);
    });
  }

}

_defineProperty(_class, "targets", ['item']);

function _defineProperty$1(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
class _class$1 extends stimulus.Controller {
  add(e) {
    e.preventDefault();
    const content = this.templateTarget.innerHTML.replace(/NEW_RECORD/g, new Date().getTime());
    this.targetTarget.insertAdjacentHTML('beforebegin', content);
  }

}

_defineProperty$1(_class$1, "targets", ['target', 'template']);

function _defineProperty$2(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
class _class$2 extends stimulus.Controller {
  toggleAll(e) {
    e.preventDefault();
    this.checkboxTargets.forEach(checkbox => {
      checkbox.checked = e.target.checked;
    });
  }

}

_defineProperty$2(_class$2, "targets", ['checkbox']);

class index extends stimulus.Controller {
  replace(event) {
    event.preventDefault();
    const [,, xhr] = event.detail;
    this.element.innerHTML = xhr.response;
  }

}

exports.CheckboxSelectAll = _class$2;
exports.NestedForm = _class$1;
exports.Remote = index;
exports.Reveal = _class;
//# sourceMappingURL=index.js.map
